GTK+ Forums

Discussion forum for GTK+ and Programming. Ask questions, troubleshoot problems, view and post example code, or express your opinions.
It is currently Tue Sep 02, 2014 9:21 pm

All times are UTC




Post new topic Reply to topic  [ 3 posts ] 
Author Message
 Post subject: help me for whm(warehouse manager) error?
PostPosted: Wed Feb 29, 2012 6:00 am 
Offline

Joined: Wed Feb 29, 2012 5:56 am
Posts: 2
Location: China,jiangsu province
when i complie the programe, the error:(Thanks in advance, and sorry my bad english.)
cd src; make MODEFLAGS=""
make[1]: Entering directory `/home/zjhxmjl/Desktop/whm/src'
gcc -c -Wall `pkg-config --cflags libglade-2.0 libgda` `xml2-config --cflags` main.c
In file included from datagui.h:4,
from main.c:3:
parser.h:12: error: expected specifier-qualifier-list before ‘GdaValueType’
make[1]: *** [main.o] Error 1
make[1]: Leaving directory `/home/zjhxmjl/Desktop/whm/src'
make: *** [src/whm] Error 2


my OS:linux(RHEL 5.4)
project:http://whm.sourceforge.net/index.php?page=news

_________________
http://www.92linux.tk
Thank for your advance,sorry for my bad english!


Top
 Profile  
 
 Post subject: Re: help me for whm(warehouse manager) error?
PostPosted: Wed Feb 29, 2012 9:00 am 
Offline
Never Seen the Sunlight

Joined: Mon Apr 28, 2008 5:52 am
Posts: 745
Location: UK
Hello,

It looks like the application WHM is now unmaintained by the author. The last change was is July 2009 and the last release of the source code was in November 2004. Many things have changed since then, with many changes to all the libraries used.

In the requirements it asks for libglade version 0.17 or later and we are now on 2.6.4 and even that is now deprecated. The other library that is of concern is libgda. Recommended is 1.0.4 and on my system I have 5.0.2 that is the most likely reason why you are unable to build from source.

The best thing is to ask the author if he is able to update the sources, if you are good at programming you could offer to help update the application with the author.

_________________
E.


Top
 Profile  
 
 Post subject: Re: help me for whm(warehouse manager) error?
PostPosted: Wed Feb 29, 2012 1:04 pm 
Offline

Joined: Wed Feb 29, 2012 5:56 am
Posts: 2
Location: China,jiangsu province
errol wrote:
Hello,

It looks like the application WHM is now unmaintained by the author. The last change was is July 2009 and the last release of the source code was in November 2004. Many things have changed since then, with many changes to all the libraries used.

In the requirements it asks for libglade version 0.17 or later and we are now on 2.6.4 and even that is now deprecated. The other library that is of concern is libgda. Recommended is 1.0.4 and on my system I have 5.0.2 that is the most likely reason why you are unable to build from source.

The best thing is to ask the author if he is able to update the sources, if you are good at programming you could offer to help update the application with the author.

Thanks for your advance,i have to give up!!
i'm looking for a warehouse manager software(open source code),can you tell me the other one??

_________________
http://www.92linux.tk
Thank for your advance,sorry for my bad english!


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 3 posts ] 

All times are UTC


Who is online

Users browsing this forum: Yahoo [Bot] and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group